ASP.NET 2.0 and ASP.NET 3.5 do not work after you uninstall ASP.NET 4.5 in Windows 8 or Windows Server 2012

Article translations Article translations
Article ID: 2748719 - View products that this article applies to.
Expand all | Collapse all

Introduction

ASP.NET 2.0 and ASP.NET 3.5 require the ASP.NET 4.5 feature to be enabled on a computer that is running Windows 8 or Windows Server 2012. If you remove or disable ASP.NET 4.5, then all ASP.NET 2.0 and ASP.NET 3.5 applications on the computer will not run.

More information

To enable the ASP.NET 4.5 feature in Windows 8 or 8.1, follow these steps:
  1. Press the Windows logo key, type control panel, and then click the Control Panel icon.

    Note If you are not using a keyboard, swipe in from the right edge of the screen, tap Search, type control panel in the search box, and then tap the displayed Control Panel icon.
  2. Click Programs, and then click Turn Windows features on or off.
  3. Expand .NET Framework 4.5 Advanced Services.
  4. Select the ASP.NET 4.5 check box.
  5. Click OK.
For information about how to enable the ASP.NET 4.5 feature on Windows Server 2012, go to following Microsoft IIS Learning Center website:
IIS 8.0 using ASP.NET 3.5 and ASP.NET 4.5

Properties

Article ID: 2748719 - Last Review: April 25, 2014 - Revision: 3.0
Applies to
  • Windows 8.1
  • Windows 8.1 Pro
  • Windows 8.1 Enterprise
  • Windows 8
  • Windows 8 Pro
  • Windows 8 Enterprise
  • Windows Server 2012 Datacenter
  • Windows Server 2012 Essentials
  • Windows Server 2012 Standard
  • Windows Server 2012 Foundation
  • Microsoft Hyper-V Server 2012
  • Microsoft .NET Framework 4.5
  • Microsoft .NET Framework 3.5
  • Microsoft .NET Framework 2.0
  • Windows 8.1 Pro for EDU
  • Windows 8.1 with Bing
Keywords: 
kbsurveynew kbtshoot kbexpertiseadvanced KB2748719

Give Feedback

 

Contact us for more help

Contact us for more help
Connect with Answer Desk for expert help.
Get more support from smallbusiness.support.microsoft.com